package service

import (
	"context"
	"gitdxz.51daxuetong.cn/go_dev/bids_rpcx/dao"
)

type BidsSvc struct{}
type Args struct {
	Code int
}
type ChanReply struct {
	Data  []dao.SemChannel
	Count int
}
type CateReply struct {
	Data  []dao.SemCategory
	Count int
}

var bids = Bids{}

func (b *BidsSvc) GetChanList(ctx context.Context, args *Args, reply *ChanReply) error {
	data, err := bids.GetSemChan()
	if err != nil {
		return err
	}
	reply.Data = data
	reply.Count = len(data)
	return err
}
func (b *BidsSvc) GetCateList(ctx context.Context, args *Args, reply *CateReply) error {
	data, err := bids.GetSemCategory()
	if err != nil {
		return err
	}
	reply.Data = data
	reply.Count = len(data)
	return err
}
